import CJS_COMPAT_NODE_URL_7akq6ta4tq from 'node:url';
import CJS_COMPAT_NODE_PATH_7akq6ta4tq from 'node:path';
import CJS_COMPAT_NODE_MODULE_7akq6ta4tq from "node:module";

var __filename = CJS_COMPAT_NODE_URL_7akq6ta4tq.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_7akq6ta4tq.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_7akq6ta4tq.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------

// ../../node_modules/slash/index.js
function slash(path) {
  return path.startsWith("\\\\?\\") ? path : path.replace(/\\/g, "/");
}

export {
  slash
};
